<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:output method="text"/>
<xsl:variable name="combinedkeyinput">
	<xsl:for-each select="/OMACIM/Keys/Key">
		<xsl:value-of select="@value"/>
	</xsl:for-each>
</xsl:variable>
<xsl:variable name="lowercombinedkeyinput" select="translate($combinedkeyinput,'ABCDEFGHIJKLMNOPQRSTUVWXYZ', 'abcdefghijklmnopqrstuvwxyz')"/>
<xsl:template match="SVMInventory">
<xsl:choose>
<xsl:when test="not(/OMACIM/Keys)">
instance of <xsl:value-of select="/OMACIM/@creation-class-name" />
{
	local = "<xsl:value-of select="@lang" />";
	schemaVersion = "<xsl:value-of select="@schemaVersion" />";
	systemID = "<xsl:value-of select="System/@systemID" />";
};
</xsl:when>
<xsl:otherwise>
<xsl:variable name="combinedInvTag"><xsl:value-of select="@lang" /><xsl:value-of select="@schemaVersion" /><xsl:value-of select="System/@systemID" /></xsl:variable>
<xsl:variable name="lowercombinedInvTag" select="translate($combinedInvTag,'ABCDEFGHIJKLMNOPQRSTUVWXYZ', 'abcdefghijklmnopqrstuvwxyz')"/>
<xsl:if test="($lowercombinedInvTag = $lowercombinedkeyinput ) ">
instance of <xsl:value-of select="/OMACIM/@creation-class-name" />
{
	local = "<xsl:value-of select="@lang" />";
	schemaVersion = "<xsl:value-of select="@schemaVersion" />";
	systemID = "<xsl:value-of select="System/@systemID" />";
};
</xsl:if >
</xsl:otherwise>
</xsl:choose>
</xsl:template>
</xsl:stylesheet>
