<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:output method="text"/>
<xsl:variable name="combinedkeyinput">
	<xsl:for-each select="/OMACIM/Keys/Key">
		<xsl:value-of select="@value"/>
	</xsl:for-each>
</xsl:variable>
<xsl:variable name="lowercombinedkeyinput" select="translate($combinedkeyinput,'ABCDEFGHIJKLMNOPQRSTUVWXYZ', 'abcdefghijklmnopqrstuvwxyz')"/>
<xsl:template match="SVMInventory">
	<xsl:apply-templates />
</xsl:template>
<xsl:template match="OperatingSystem">
<xsl:choose>
<xsl:when test="not(/OMACIM/Keys)">
instance of <xsl:value-of select="/OMACIM/@creation-class-name" />
{
	vendor = "<xsl:value-of select="@osVendor" />";
	majorVersion = "<xsl:value-of select="@majorVersion" />";
	minorVersion = "<xsl:value-of select="@minorVersion" />";
	spMajorVersion = "<xsl:value-of select="@spMajorVersion" />";
	spMinorVersion = "<xsl:value-of select="@spMinorVersion" />";
	architecture = "<xsl:value-of select="@osArch" />";
};
</xsl:when>
<xsl:otherwise>
<xsl:variable name="combinedOSTag"><xsl:value-of select="@osArch" /><xsl:value-of select="@majorVersion" /><xsl:value-of select="@minorVersion" /><xsl:value-of select="@spMajorVersion" /><xsl:value-of select="@spMinorVersion" /><xsl:value-of select="@vendor" /></xsl:variable>
<xsl:variable name="lowercombinedOSTag" select="translate($combinedOSTag,'ABCDEFGHIJKLMNOPQRSTUVWXYZ', 'abcdefghijklmnopqrstuvwxyz')"/>
<xsl:if test="($lowercombinedOSTag = $lowercombinedkeyinput ) ">
instance of <xsl:value-of select="/OMACIM/@creation-class-name" />
{
	vendor = "<xsl:value-of select="@osVendor" />";
	majorVersion = "<xsl:value-of select="@majorVersion" />";
	minorVersion = "<xsl:value-of select="@minorVersion" />";
	spMajorVersion = "<xsl:value-of select="@spMajorVersion" />";
	spMinorVersion = "<xsl:value-of select="@spMinorVersion" />";
	architecture = "<xsl:value-of select="@osArch" />";
};
</xsl:if >
</xsl:otherwise>
</xsl:choose>
</xsl:template>
</xsl:stylesheet>
